

// // // //


ВыбратьРаскладкуПровальную = мир =>
{
    мир.выбраннаяРаскладка = "😭";
    мир.уведомить("выбрали раскладку");
};


// // // //


ВыбратьРаскладкуУспешную = мир =>
{
    мир.выбраннаяРаскладка = "😀";
    мир.уведомить("выбрали раскладку");
};


// // // //


ВыбратьРаскладкуX = мир =>
{
    мир.выбраннаяРаскладка = "X_shaped";
    мир.уведомить("выбрали раскладку");
};


// // // //


ПлавноСкрытьОкноПриветствия = мир =>
{
    мир.окна.приветствие.плавно.скрыть();
};


// // // //


ПлавноПоказатьОкноПриветствия = мир =>
{
    мир.окна.приветствие.плавно.отобразить();
};


// // // //


ЗадатьВидОкнаПриветствия = мир =>
{
    const css = `

#${мир.окна.приветствие.указатель}-тело
{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
}
#${мир.окна.приветствие.указатель}
{
    background-color: white;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

    `;
    var вид = document.createElement("style");
    вид.innerHTML = css;
    document.head.appendChild(вид);
};


// // // //


СоздатьОкноПриветствия = мир =>
{
    var окно = document.createElement("div");
    окно.id = "окно-приветствия";
    окно.style.display = "none";
    document.body.appendChild(окно);
    
    мир.окна.приветствие = {
        "указатель": окно.id,
        "элемент": окно,
        "плавно": new ПлавноОтобразитьСкрыть(окно),
    };
    
    окно.innerHTML = `
<div id="${окно.id}-тело">
    <center>
        <p>
            <span class="uk-text-large">Маджонг</span>
            ⚬ <span class="uk-text-large uk-text-bold">麻将</span> ⚬
            <span class="uk-text-large">Mahjong</span>
        </p>
        <span>${мир.версия}</span>
        <hr class="uk-divider-icon">
        <p uk-margin>
            <p>Выберите раскладку: | 选择布局: | Select layout:</p>
            <button id="${окно.id}-X" class="uk-button uk-button-default">X</button>
            <button id="${окно.id}-😀" class="uk-button uk-button-default">😀</button>
            <button id="${окно.id}-😭" class="uk-button uk-button-default">😭</button>
        </p>
    </center>
</div>
    `;

    $(`#${мир.окна.приветствие.указатель}-X`).click(function() {
        мир.уведомить("кнопка раскладки X");
    });
    $(`#${мир.окна.приветствие.указатель}-😀`).click(function() {
        мир.уведомить("кнопка раскладки 😀");
    });
    $(`#${мир.окна.приветствие.указатель}-😭`).click(function() {
        мир.уведомить("кнопка раскладки 😭");
    });
};